const React = require("react");

const icon = require("./icon.png");

const lookup = ({ term, actions, display, settings }) => {
  const result = {
    icon,
    title: "Searx lookup: " + term,
    subtitle: settings.url,
    term,
    onSelect: () => actions.open(settings.url + "/?q=" + term)
  };

  display(result);
};

module.exports = {
  fn: lookup,
  settings: {
    url: {
      type: "string",
      description: "Base URL for the Searx engine"
    }
  }
};
